package it.com.atlassian.stash.pull.list;

import com.atlassian.bitbucket.permission.Permission;
import it.com.atlassian.stash.pull.BasePullRequestFuncTest;
import org.junit.BeforeClass;

public abstract class BasePullRequestListFuncTest extends BasePullRequestFuncTest {

    protected static final String AUTHOR_2 = "pr_author2";
    protected static final String REVIEWER_3 = "pr_reviewer3";

    @BeforeClass
    public static void setupClass() {
        getClassTestContext()
                .user(AUTHOR_2)
                .user(REVIEWER_3)
                .repositoryPermission(PROJECT_KEY, REPO_SLUG, AUTHOR_2, Permission.REPO_WRITE)
                .repositoryPermission(PROJECT_KEY, REPO_SLUG, REVIEWER_3, Permission.REPO_READ);
    }
}
